ONVIF::Analytics::Elements::DeleteAnalyticsModules(3)

NAME
ONVIF::Analytics::Elements::DeleteAnalyticsModules

DESCRIPTION
Perl data type class for the XML Schema defined element DeleteAnalyticsModules from the namespace http://www.onvif.org/ver20/analytics/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   ConfigurationToken

     $element->set_ConfigurationToken($data);
     $element->get_ConfigurationToken();

•   AnalyticsModuleName

     $element->set_AnalyticsModuleName($data);
     $element->get_AnalyticsModuleName();

METHODS

  new
 my $element = ONVIF::Analytics::Elements::DeleteAnalyticsModules->new($data);

Constructor. The following data structure may be passed to new():

 {
   ConfigurationToken => $some_value, # ReferenceToken
   AnalyticsModuleName =>  $some_value, # string
 },

AUTHOR
Generated by SOAP::WSDL